#!/usr/bin/python3
#concats all files and stdin given as arguments and prepends output with filenames
import fileinput
import sys
import os

#remove all non regular files
sys.argv = [f for f in sys.argv if os.path.isfile(f)]

# if stdin has data add stdin to filelist
if not sys.stdin.isatty():
    sys.argv.append("-")

# concat all lines from all files 
for line in fileinput.input():
    print(f'{fileinput.filename()}:{line.strip()}')
